(import anaphora (chicken io) (chicken string))

(define pre (make-parameter #f))

(define (string-that-starts-with? prefix)
  (lambda (str)
    (aand
     (string? str)
     (substring-index prefix str)
     (zero? it))))

(for-each
 (lambda (line)
   (if ((string-that-starts-with? "```") line)
       (pre (not (pre)))
       (print (if (pre) "    " "") line)))
 (read-lines))
